Thread Rating:
  • 0 Vote(s) - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
RouteConverterLinux.jar (2.22.1) throws chmod errors on /usr/bin/gpsbabel
#1
Why is RouteConverterLinux.jar trying to change permissions on gpsbabel?


Feb 05, 2018 12:06:18 PM slash.navigation.babel.BabelFormat startBabel
INFO: Executed '[/bin/sh, /tmp/routeconverter-nwestra/gpsbabel738682295139103424.sh]' with exit value: 1 target exists: true
Feb 05, 2018 12:06:18 PM slash.navigation.babel.BabelFormat execute
INFO: Executing '[/usr/bin/gpsbabel, -r, -w, -t, -i, garmin_poi, -f, -, -o, gpx, -F, -]'
/bin/chmod: changing permissions of '/usr/bin/gpsbabel': Operation not permitted

I'm getting the same error on 2.21

Ubuntu 16.04 LTS with gpsbabel 1.5.2)
Reply
#2
(05.02.2018, 20:15)Woonjas Wrote: Why is RouteConverterLinux.jar trying to change permissions on gpsbabel?

If it extracts the embedded gpsbabel to a temporary directory, the executable flag has to be set to execute it.

I'll fix this with the next prerelease.
--
Christian
Reply


Forum Jump:


Users browsing this thread: 1 Guest(s)